Package org.h2.command.query

# Enum Class SelectUnion.UnionType

java.lang.Object
java.lang.Enum<SelectUnion.UnionType>
org.h2.command.query.SelectUnion.UnionType

All Implemented Interfaces:
  `Serializable`, `Comparable<SelectUnion.UnionType>`, `Constable`

Enclosing class:
  SelectUnion

public static enum SelectUnion.UnionType extends Enum<SelectUnion.UnionType>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`EXCEPT`
The type of an EXCEPT statement.
`INTERSECT`
The type of an INTERSECT statement.
`UNION`
The type of a UNION statement.
`UNION_ALL`
The type of a UNION ALL statement.

## Method Summary

Modifier and Type
Method
Description
`static SelectUnion.UnionType`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static SelectUnion.UnionType[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### UNION

public static final SelectUnion.UnionType UNION
The type of a UNION statement.

### UNION_ALL

public static final SelectUnion.UnionType UNION_ALL
The type of a UNION ALL statement.

### EXCEPT

public static final SelectUnion.UnionType EXCEPT
The type of an EXCEPT statement.

### INTERSECT

public static final SelectUnion.UnionType INTERSECT
The type of an INTERSECT statement.

## Method Details

### values

public static SelectUnion.UnionType[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static SelectUnion.UnionType valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null